celix-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Menno van der Graaf (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CELIX-337) version and version_range mocks outdated and still used
Date Thu, 07 Jan 2016 16:37:39 GMT

    [ https://issues.apache.org/jira/browse/CELIX-337?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15087667#comment-15087667
] 

Menno van der Graaf commented on CELIX-337:
-------------------------------------------

the framework tests in question are:
- bundle_test
- capability_test
- manifest_parser_test
- module_test
- requirement_test
- resolver_test
they might each require different amounts of adaptation

> version and version_range mocks outdated and still used
> -------------------------------------------------------
>
>                 Key: CELIX-337
>                 URL: https://issues.apache.org/jira/browse/CELIX-337
>             Project: Celix
>          Issue Type: Bug
>          Components: Framework
>            Reporter: Menno van der Graaf
>            Priority: Minor
>
> Some of the framework tests still use the "version" and/or "version_range" mock.
> with the transition of CELIX-323, the version and "version_range" to the utils, the mock
remained in the framework mocks. 
> After/during the move, new functionality was added to the source files, the mocks are
now out of date.
> Since almost every test links against the celix_utils lib, the mock is also redundant.
> either the mocks need to be kept up to date and moved to the utils, or they should be
removed, which will require some of the tests to be addapted.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message